> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve category

> retrieve category



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /catalog/categories/{id}
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /catalog/categories/{id}:
    parameters:
      - name: id
        in: path
        description: category id
        required: true
        schema:
          type: string
    get:
      tags:
        - Catalog
      summary: Retrieve category
      description: retrieve category
      operationId: get-category
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      category:
                        $ref: '#/components/schemas/CategoryDetail'
                    type: object
      security:
        - Authorization: []
components:
  schemas:
    CategoryDetail:
      title: CategoryDetail
      allOf:
        - $ref: '#/components/schemas/Category'
        - type: object
          properties:
            attributes:
              type: array
              items:
                $ref: '#/components/schemas/AttributeBasicDetail'
      x-tags:
        - Catalog
    Category:
      title: Category
      allOf:
        - $ref: '#/components/schemas/CategoryCommonDetail'
      x-tags:
        - Catalog
    AttributeBasicDetail:
      title: AttributeBasicDetail
      type: object
      required:
        - id
        - name
        - key
        - type
      properties:
        id:
          type: string
        name:
          type: string
        key:
          type: string
        type:
          type: string
    CategoryCommonDetail:
      title: CategoryCommonDetail
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        active:
          type: boolean
          default: true
        parent_category_id:
          type:
            - string
            - 'null'
        slug:
          type: string
        product_count:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        modified_at:
          type: string
          format: date-time
          readOnly: true
        child_categories:
          $ref: '#/components/schemas/ChildCategory'
      x-tags:
        - Catalog
    ChildCategory:
      title: ChildCategory
      allOf:
        - $ref: '#/components/schemas/CategoryCommonDetail'
      x-tags:
        - Catalog
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````